## arpwatch 2.1a11-6

=== debian/local/Makefile ===
IEEEFILE = oui.txt
IEEESITE = http://standards.ieee.org/regauth/oui/$(IEEEFILE)
CAVEFILE = Ethernet.txt
#CAVESITE = ftp://ftp.cavebear.com/pub/$(CAVEFILE)
CAVESITE = http://map-ne.com/Ethernet/$(CAVEFILE)
OUTPUT = ethercodes.dat

default: 
	@echo "Huh?"
	@echo "clean grab cook patchcmd"

clean:
	rm -f *.txt

grab: clean
	wget $(IEEESITE)
	wget $(CAVESITE)

cook:
	-cp $(OUTPUT) $(OUTPUT).bak
	perl dmassagevendor --cavebear=$(CAVEFILE) --ieee=$(IEEEFILE) \
		--output=$(OUTPUT)

patchcmd:
	@echo "Run these:"
	@perl patches.pl patches.def

manpage:
	##help2man -N -s 8 ./dmassagevendor > dmassagevendor.8.gen

.PHONY: clean grab cook patchcmd manpage

=== debian/changelog ===
arpwatch (2.1a11-6) unstable; urgency=low

  * [Vincent Letocart] Fixed missing `arp.dat' upon fresh install.
  * Fixed dmassagevendor(8) parser to include private Ethernet address ranges.
  * Updated Ethernet vendor database, 200+ new entries.

 -- KELEMEN Peter <fuji@debian.org>  Thu,  7 Mar 2002 18:48:24 +0100

arpwatch (2.1a11-5) unstable; urgency=MEDIUM

  * The "Trivial Bug Overlooked" upload.
  * Fixed init.d restart target. (Closes: #122201)

 -- KELEMEN Peter <fuji@debian.org>  Mon, 17 Dec 2001 13:59:32 +0100

arpwatch (2.1a11-4) unstable; urgency=MEDIUM

  * Fixed inability to start multiple instances. (Closes: #123191)
  * Updated Ethernet vendor database, 100+ new entries.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 17 Dec 2001 13:40:55 +0100

arpwatch (2.1a11-3) unstable; urgency=MEDIUM

  * Fixed hardcoded libc6 dependency. (Closes: #120305)
  * Fixed init.d functions POSIX-conformance. (Closes: #117796)
  * Fixed arpwatch.conf options parsing.
  * No more recommends sendmail explicitly.
  * Updated debian/arpwatch.preinst to save multiple databases.
  * Updated debian/arpwatch.postinst to restore multiple databases.

 -- KELEMEN Peter <fuji@debian.org>  Sat, 24 Nov 2001 14:07:56 +0100

arpwatch (2.1a11-2) unstable; urgency=low

  * Previous upload rejected due to signing errors.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 29 Oct 2001 14:55:57 +0100

arpwatch (2.1a11-1) unstable; urgency=low

  * New Upstream Release.
  * Supports watching multiple interfaces. (Closes: #74888)
  * Updated Ethernet vendor database, 600+ new entries.
  * Fixed init.d script comments. (Closes: #114893)

 -- KELEMEN Peter <fuji@debian.org>  Wed, 26 Oct 2001 14:56:25 +0200

arpwatch (2.1a10-3) unstable; urgency=low

  * Fixed minor manual page incosistencies. (Closes: #93851)
  * [Hugo Graumann] Contributed all missing manpages. (Closes: #76367)
  * Introducing dmassagevendor(8) as alternative of massagevendor(8).

 -- KELEMEN Peter <fuji@debian.org>  Tue, 17 Apr 2001 14:33:19 +0200

arpwatch (2.1a10-2) unstable; urgency=low

  * [Hugo Graumann] arp2ethers.8 manual page.

 -- KELEMEN Peter <fuji@debian.org>  Wed, 11 Apr 2001 19:44:18 +0200

arpwatch (2.1a10-1) unstable; urgency=low

  * New Upstream Release. (Closes: #82755)
  * Fixed debhelper build dependency. (Closes: #70134)
  * Fixed libpcap-dev build dependency. (Closes: #76792)
  * Fixed typo in README.Debian. (Closes: #76368)
  * Fixed too early startup. (Closes: #70473)
  * Fixed init.d script $ARGS usage. (Closes: #70568, #76012)
  * [Zygo Blaxell] -p option to disable promisc mode. (Closes: #44838)
  * [Jerome Petazzoni] -m option to specify mail address. (Closes: #76794)
  * [Jerome Petazzoni] -a option to watch all subnets.
  * Updated Ethernet vendor database.
  * Updated massagevendor(8) and man page.
  * Reverted Colin Phipps' tmprace patch since upstream provided a fix.
  * Reverted my bogonkill patch since upstream provided such functionality.
  * Security: arpwatch now drops root privileges after startup.
  * Build: local override to suppress lintian warning of /var/lib/arpwatch mode.

 -- KELEMEN Peter <fuji@debian.org>  Mon,  9 Apr 2001 17:48:11 +0200

arpwatch (2.1a4-6) unstable; urgency=low

  * Maintenance upload since 2.1a4-4 and 2.1a4-5 were rejected due to
    parallel frozen/unstable uploads.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 28 Apr 2000 14:52:06 +0200

arpwatch (2.1a4-5) frozen unstable; urgency=low

  * Updated /etc/init.d/arpwatch script. (Closes: #57284)

 -- KELEMEN Peter <fuji@debian.org>  Wed, 19 Apr 2000 10:34:47 +0200

arpwatch (2.1a4-4) frozen unstable; urgency=low

  * Updated 3000+ Ethernet vendor codes. (Closes: #45905)
  * [Peter T. Breuer] Configurable sendmail(8) path. (Closes: #53036)
  * Attempt to save ARP database on upgrade. (Closes: #61556)
  * New massagevendor(8) script.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 14 Apr 2000 17:18:14 +0200

arpwatch (2.1a4-3) frozen; urgency=low

  * [Colin Phipps] Fixed /tmp race condition. (Closes: #56823)
  * [Erik Warmelink] Fixed arp2ethers multiple MAC behavior. (Closes: #60859)

 -- KELEMEN Peter <fuji@debian.org>  Tue, 21 Mar 2000 12:08:56 +0100

arpwatch (2.1a4-2) unstable; urgency=low

  * Implemented `-b' flag to suppress bogon messages. (Closes: #36199)
  * Changed Architecture: from `i386' to `any'. (Closes: #36259)
  * Disabled automatic update of Ethernet vendor codes. (Closes: #36260)
  * Moved database directory from /var/run/ to /var/lib/. (Closes: #36293)
  * Fixed and updated arpwatch.8 manpage. (Closes: #36312)
  * Fixed `restart' option in init.d script.
  * Updated Ethernet vendor codes.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 23 Apr 1999 20:55:04 +0200

arpwatch (2.1a4-1) unstable; urgency=low

  * Initial Release.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 12 Apr 1999 18:30:09 +0200

=== debian/control ===
Source: arpwatch
Section: admin
Priority: optional
Maintainer: KELEMEN Peter <fuji@debian.org>
Standards-Version: 3.5.2
Build-Depends: libpcap-dev, debhelper

Package: arpwatch
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: snmp
Description: Ethernet/FDDI station activity monitor.
 Arpwatch maintains a database of Ethernet MAC addresses seen on the
 network, with their associated IP pairs.  Alerts the system administrator
 via e-mail if any change happens, such as new station/activity,
 flip-flops, changed and re-used old addresses.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified for arpwatch based on Adam Heath's and Ben Collins' work in 2001 by
# KELEMEN Peter <fuji@debian.org>

# Some local stuff.
package = arpwatch
DESTDIR = $(CURDIR)/debian/$(package)
LOCALDIR = $(CURDIR)/debian/local
CC = gcc
CFLAGS := -O2 -Wall
IEN := install -m755
IE := $(IEN) -s
ID := install -m644
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
	ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
		IE := $(IEN)
	endif
endif
# DBS
TAR_DIR := arpwatch-2.1a11
include debian/scripts/dbs-build.mk
# dpkg-arch
ifeq (,$(DEB_BUILD_GNU_TYPE))
	include debian/scripts/dpkg-arch.mk
endif
# features
configure_args :=
configure_args += --prefix=/usr --mandir=\$${prefix}/share/man\
	--infodir=\$${prefix}/share/info
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	configure_args += --build=$(DEB_BUILD_GNU_TYPE)
endif

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: $(STAMP_DIR)/pre-build-stamp $(STAMP_DIR)/build-stamp

$(STAMP_DIR)/pre-build-stamp: $(unpacked) $(patched)
	dh_testdir
	cd $(BUILD_TREE) && chmod +w * && CFLAGS="$(CFLAGS)" CC="$(CC)" \
		./configure $(configure_args) --host=$(DEB_BUILD_GNU_TYPE)
	#$(MAKE) depend -C $(BUILD_TREE)
	touch $(STAMP_DIR)/pre-build-stamp

$(STAMP_DIR)/build-stamp:
	dh_testdir
	cd $(BUILD_TREE) && $(MAKE)
	touch $(STAMP_DIR)/build-stamp

##build: configure-stamp build-stamp
##build-stamp:
##	dh_testdir
##
##	# Add here commands to compile the package.
##	$(MAKE)
##	#/usr/bin/docbook-to-man debian/arpwatch.sgml > arpwatch.1
##
##	touch build-stamp

clean:
	dh_testdir
	rm -rf $(SOURCE_DIR) $(STAMP_DIR)
	perl debian/scripts/dh_split clean
##	dh_testroot
##	rm -f build-stamp configure-stamp
##
##	# Add here commands to clean up after the build process.
##	-$(MAKE) distclean
##
	dh_clean

install: build $(dh_mak_deps)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/arpwatch.
	$(MAKE) DESTDIR=$(DESTDIR) install -C $(BUILD_TREE) #prefix=$(DESTDIR)

	$(ID) $(LOCALDIR)/ethercodes.dat $(DESTDIR)/usr/share/arpwatch

	chmod 0700 $(DESTDIR)/var/lib/arpwatch

	$(IEN) $(BUILD_TREE)/arp2ethers $(DESTDIR)/usr/sbin
	$(IEN) $(BUILD_TREE)/arpfetch $(DESTDIR)/usr/sbin
	$(IEN) $(BUILD_TREE)/bihourly $(DESTDIR)/usr/sbin
	$(IEN) $(BUILD_TREE)/massagevendor $(DESTDIR)/usr/sbin
	$(IEN) $(LOCALDIR)/dmassagevendor $(DESTDIR)/usr/sbin

	##mkdir -p $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/arpwatch.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/arpsnmp.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/arp2ethers.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/arpfetch.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/bihourly.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(BUILD_TREE)/massagevendor.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(LOCALDIR)/dmassagevendor.8 $(DESTDIR)/usr/share/man/man8
	$(ID) $(LOCALDIR)/arpwatch.conf $(DESTDIR)/etc/arpwatch.conf

	##mkdir -p $(DESTDIR)/usr/share/lintian/overrides
	cp $(LOCALDIR)/override $(DESTDIR)/usr/share/lintian/overrides/$(package)

	# Namespace cleanup here.

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install $(dh_mak_deps)
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -- defaults 40
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip
endif
	dh_compress
	dh_fixperms --exclude=/var/lib/arpwatch
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## arpwatch 2.1a11-6.1

=== debian/changelog ===
arpwatch (2.1a11-6.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:45 +0200

## arpwatch 2.1a13-2

=== debian/local/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# arpwatch/debian/local/Makefile: v5 2004/08/11 KELEMEN Peter <fuji@debian.org>
+
 IEEEFILE = oui.txt
 IEEESITE = http://standards.ieee.org/regauth/oui/$(IEEEFILE)
 CAVEFILE = Ethernet.txt
@@ -12,6 +14,9 @@
 clean:
 	rm -f *.txt
 
+realclean: clean
+	rm -f *.dat *.bak
+
 grab: clean
 	wget $(IEEESITE)
 	wget $(CAVESITE)
@@ -20,6 +25,12 @@
 	-cp $(OUTPUT) $(OUTPUT).bak
 	perl dmassagevendor --cavebear=$(CAVEFILE) --ieee=$(IEEEFILE) \
 		--output=$(OUTPUT)
+	sort -u $(OUTPUT) $(OUTPUT).manual > $(OUTPUT).new
+	sed '						\
+		s/Internaional/International/g;		\
+		s/Corpotation/Corporation/g;		\
+		' $(OUTPUT).new > $(OUTPUT)
+	rm -f $(OUTPUT).new
 
 patchcmd:
 	@echo "Run these:"

=== debian/changelog ===
arpwatch (2.1a13-2) unstable; urgency=high

  * [Daniel Hermann] Post-install fixes. (Closes: #271134)

 -- KELEMEN Péter <fuji@debian.org>  Wed, 15 Sep 2004 15:53:44 +0200

arpwatch (2.1a13-1) unstable; urgency=medium

  * The "Tying Up Loose Ends" release.
  * Acknowledging NMU by Javier Fernández-Sanguino Peña, thanks.
  * Acknowledging NMU by Torsten Landschoff, thanks.
  * New upstream release.
  * Fixed insecure tempfile handling. (Closes: #256381)
  * [Dean Gaudet] -u option to drop privileges. (Closes: #217488)
  * [Per Andreas Buer] -Q option not to send mail.
  * [Julien Brouchier] -z option to ignore network. (Closes: #95369)
  * [Blars Blarson] Print interface info. (Closes: #140504)
  * [J. Fernández-Sanguino Peña] arp2ethers file handling. (Closes: #260818)
  * [Christoph Biedl] -R option to restart after ifdown. (Closes: #170338)
  * [Christoph Biedl] Support ignoring 0.0.0.0 IPs. (Closes: #142192, #160369)
  * [Christoph Biedl] Support unconfigured interfaces. (Closes: #76365, #240399)
  * [Christoph Biedl] From: field contains running host. (Closes: #265158)
  * [Justin Doiel] Support building out-of-tree.
  * Updated Ethernet vendor database, ~2000 new entries.
    (Closes: #140731, #146643, #227375)
  * debian/arpwatch.conf:
    - Get rid of @example.com domain. (Closes: #197138)
  * debian/init.d:
    - Run daemon only if executable. (Closes: #211645)
    - Drop privileges by default. (Closes: #263184)
  * debian/arpwatch-default:
    - Common options extracted from init.d script.
  * debian/arpwatch.preinst, debian/arpwatch.postinst:
    - Revamped backup/restore mechanism. (Closes: #145259, #149099, #259543)
  * debian/arpwatch.postrm:
    - [J. Fernández-Sanguino Peña] Remove arpwatch database directory on purge.
  * debian/control:
    - Standards-Version: 3.6.1
    - Depends: debianutils, adduser (Closes: #265287)
    - Build-Depends: debhelper (>= 4.0.0)
    - Description: Ethernet/FDDI station activity monitor
  * debian/changelog:
    - UTF-8 encoding.

 -- KELEMEN Péter <fuji@debian.org>  Thu, 14 Aug 2004 00:28:34 +0200

arpwatch (2.1a11-6.3) unstable; urgency=medium

  * Fixed postinst error introduced in previous NMU (Closes: #259543)
  * Postrm removes files under /var/lib/arpwatch/ on purge

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 17 Jul 2004 15:47:24 +0200

arpwatch (2.1a11-6.2) unstable; urgency=low

  * Fixed race condition in the bihourly and arpfetch cron scripts.
    (Closes: #256381)
    [patch 023_arpfetch]
  * Added the -u flag to run arpwatch with lower privileges as suggested
    by Den Gaudet and with a patch based on RedHat's. Also, the 
    'arpwatch' user is created on postinst and used by the init
    script (Closes: #217488)
    [patch 024_username]
  * Changed test statement in the init script from -f to -x (Closes: #211645)
  * Added Multicast, VRRP (note), VMWare (retrieved from FreeBSD's ethercodes)
    and Compaq MAC addresses (Closes: #227375)
  * Changed the sample lines of the configuration file to just 'root'
    instead of 'root+ethX@example.com' (Closes: #197138)
  * Create an empty arp.dat file at /var/lib/arpwatch/ if it does not 
    exist when running 'start_default()' in the init script. This will
    make arpwatch work even if you have not customised arpwatch.conf or
    the preinst fails to create that file.
    (Closes: #145259)
    [patch 025_arpdat]
  * Small improvements in arp2ethers so that it uses the default location
    of the arp.dat file, also noticed this in the manpage.
    [patch 026_arp2ethers2]

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 26 Jun 2004 18:34:49 +0200

=== debian/control ===
Source: arpwatch
Section: admin
Priority: optional
Maintainer: KELEMEN Péter <fuji@debian.org>
Standards-Version: 3.6.1
Build-Depends: libpcap0.8-dev, debhelper (>= 4.0.0)

Package: arpwatch
Architecture: any
Depends: ${shlibs:Depends}, debianutils, adduser
Recommends: mail-transport-agent
Suggests: snmp
Description: Ethernet/FDDI station activity monitor
 Arpwatch maintains a database of Ethernet MAC addresses seen on the
 network, with their associated IP pairs.  Alerts the system administrator
 via e-mail if any change happens, such as new station/activity,
 flip-flops, changed and re-used old addresses.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	endif
 endif
 # DBS
-TAR_DIR := arpwatch-2.1a11
+TAR_DIR := arpwatch-2.1a13
 include debian/scripts/dbs-build.mk
 # dpkg-arch
 ifeq (,$(DEB_BUILD_GNU_TYPE))
@@ -102,7 +102,6 @@
 	$(IEN) $(BUILD_TREE)/massagevendor $(DESTDIR)/usr/sbin
 	$(IEN) $(LOCALDIR)/dmassagevendor $(DESTDIR)/usr/sbin
 
-	##mkdir -p $(DESTDIR)/usr/share/man/man8
 	$(ID) $(BUILD_TREE)/arpwatch.8 $(DESTDIR)/usr/share/man/man8
 	$(ID) $(BUILD_TREE)/arpsnmp.8 $(DESTDIR)/usr/share/man/man8
 	$(ID) $(BUILD_TREE)/arp2ethers.8 $(DESTDIR)/usr/share/man/man8
@@ -112,7 +111,6 @@
 	$(ID) $(LOCALDIR)/dmassagevendor.8 $(DESTDIR)/usr/share/man/man8
 	$(ID) $(LOCALDIR)/arpwatch.conf $(DESTDIR)/etc/arpwatch.conf
 
-	##mkdir -p $(DESTDIR)/usr/share/lintian/overrides
 	cp $(LOCALDIR)/override $(DESTDIR)/usr/share/lintian/overrides/$(package)
 
 	# Namespace cleanup here.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
ftp.ee.lbl.gov	/			arpwatch-(.*).tar.gz	debian

## arpwatch 2.1a13-2.1

=== debian/changelog ===
arpwatch (2.1a13-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #460248).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 09:30:56 +0100

## arpwatch 2.1a15

=== debian/changelog ===
arpwatch (2.1a15-9) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + arpwatch: Drop versioned constraint on ieee-data in Recommends.
    + Remove 1 maintscript entries from 1 files.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 2.1a13-1, 2.1a11-1.
  * Update standards version to 4.6.0, no changes needed.

  [ Sven Geuer ]
  * d/s/litian-overrides: Fix lintian issue mismatched-override.
  * d/watch: Replace out-dated FTP URL with recent HTTPS URL plus matching
    pattern.
  * d/control:
    - Drop lsb-base from Depends.
    - Bump Standards-Version to 4.7.0.
  * d/copyright: Add missing copyright holders to the debian/* stanza.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Mon, 02 Sep 2024 21:04:37 +0200

arpwatch (2.1a15-8.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Install arpwatch@.service only once. (Closes: #1054193)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Dec 2023 07:12:41 +0100

arpwatch (2.1a15-8) unstable; urgency=medium

  * Team Upload
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * d/p/54_makefile-dont-change-permissions.patch: New patch to enable building
    without being root
  * d/control: Add Rules-Requires-Root: no
  * d/watch: Bump to v4
  * d/control: Add 'Pre-Depends' field

 -- Samuel Henrique <samueloph@debian.org>  Sun, 31 Jan 2021 16:44:03 +0000

arpwatch (2.1a15-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.2.1.

  [ Lukas Schwaighofer ]
  * Avoid running chown and chmod recursively in maintainer scripts.
  * Update ethercodes.db with dropped privileges.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 25 Oct 2018 20:32:32 +0200

arpwatch (2.1a15-6) unstable; urgency=medium

  * Remove the autotools-dev dh addon (no longer needed in debhelper 10).
  * Ensure arpwatch is started after network interfaces have been configured
    since it wants to read their configuration. (Closes: 886635)
  * Bump Standards-Version to 4.1.3 (no change needed).
  * Remove trailing whitespaces in debian/changelog.
  * Update to debhelper compatibility level 11.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Mon, 08 Jan 2018 21:40:49 +0100

arpwatch (2.1a15-5) unstable; urgency=medium

  * fix typo in debian/NEWS release name
  * bump Standards version to 4.0.0 (no change needed)
  * rename triggers and README.Debian into arpwatch.triggers and
    arpwatch.README.Debian respectively
  * refer to arpalert in the package description (Closes: #427775)
  * replace the private _getshort function with ns_get16 to avoid a build log
    warning because of an implicit declaration
  * fix two spelling mistakes, shorten URL in patch file

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Fri, 21 Jul 2017 21:01:33 +0200

arpwatch (2.1a15-4) unstable; urgency=medium

  * improve the description of the -a flag in the arpwatch man page
  * change the -N option to only stop reporting bogons as described in the man
    page; Thanks to Gokdeniz Karadag (Closes: #480835)
    - previosuly this option would cause arpwatch to process bogons similar to
      packets beloinging to the local subnet
    - processing all bogons as normal (what -N previously did) is still
      possible by combining the -N flag with -a
    - explain this change to users in NEWS
  * do not automatically watch everything (0/0) when started on an
    unconfigured network, instead leave it up to the admin to configure
    - explain this change to users in NEWS
  * explain how to disable the automatic update of the ethercode database in
    README.Debian
  * exit cleanly (with code 0) when arpwatch is terminated using SIGTERM
    - adjust systemd service accordingly
  * configure systemd to restart arpwatch automatically after unclean exit
  * drop the -R option to restart arpwatch on errors; restarting on error is
    now performed by systemd (Closes: #551350)
    - explain this change to users in NEWS
  * start arpwatch after the network is ready (important e.g. when using
    bridges) also when the LSB init script is used (Closes: #862149)
  * add -F option, allowing users to specify a custom pcap filter
    (Closes: #600886)
  * Add a PCAP_FILTER option to /etc/default/arpwatch which allows specifying
    a pcap filter that includes spaces (also available per interface)
  * Improve option parsing and description for the -z option (Closes: #334599)
  * refresh patches
  * prefix control files in debian/ with packagename

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 22 Jun 2017 00:02:18 +0200

arpwatch (2.1a15-3) experimental; urgency=low

  * maintain arpwatch as part of the pkg-security team
    (Closes: #686996)
  * add missing dependency on lsb-base
  * bump Standards version (no change needed)
  * netinet/if_ether.h is part of libc6-dev (Closes: #155182)
  * ignore 802.1q (vlan) frames (Closes: #625796)
  * clarify unconfigured iface message (Closes: #756062)
  * initialize ignore_net properly.
    Thanks to Lucas Serrano (Closes: #728921)
  * move LSB init script from init.d to arpwatch.init
  * add systemd unit files
  * install additional arpwatch@.service unit file
  * no more /etc/arpwatch.conf, add README with instructions
  * adjust LSB startup for new configuration format
  * turn on additional hardening
  * explain upstream differences in README.Debian
  * explain what to do on upgrade in NEWS
  * fix configure.in/aclocal.m4 errors for autoreconf
  * use debhelper compatibility level 10
  * use ethercodes from ieee-data; override the ethercodes.dat lintian warning
    (only part of the source and no longer used in the binary package)


=== debian/control ===
Source: arpwatch
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Lukas Schwaighofer <lukas@schwaighofer.name>
Build-Depends:
 debhelper-compat (= 13),
 libpcap0.8-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://ee.lbl.gov/
Vcs-Git: https://salsa.debian.org/pkg-security-team/arpwatch.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/arpwatch

Package: arpwatch
Architecture: any
Depends:
 adduser,
 gawk,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Recommends:
 ieee-data,
Description: Ethernet/FDDI station activity monitor
 Arpwatch maintains a database of Ethernet MAC addresses seen on the
 network, with their associated IP pairs.  Alerts the system administrator
 via e-mail if any change happens, such as new station/activity,
 flip-flops, changed and re-used old addresses.
 .
 If you want to maintain a list authorized MAC addresses manually, take a look
 at the arpalert package which may fit your needs better.

=== debian/watch ===
version=4
https://ee.lbl.gov/downloads/arpwatch/ \
arpwatch-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
